/*TOGGLE BUTTON DANS PAYMENT MODAL*/

.toggles-container {
  
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 10px;
  flex-wrap: wrap;
  margin-bottom: 10px;
}

.switch {
  position: relative;
  display: inline-block;
  align-items: center;
  width: 100px;
  min-width: 100px;
  height: 15px;
  padding-left: 60px;
  cursor: pointer;
  user-select: none;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  width: 41px;
  background-color: #ccc;
  border-radius: 15px;
  transition: 0.4s;
}

.slider::before {
  position: absolute;
  content: "";
  height: 13px;
  width: 13px;
  left: 1px;
  bottom: 1px;
  background-color: white;
  border-radius: 50%;
  transition: 0.4s;
}

input:checked + .slider {
  background-color: var(--accent-color);

}

input:checked + .slider::before {
  transform: translateX(26px);
}

/* Texte du label à droite */
.switch span {
  margin-left: 10px;
  font-size: 12px;
  margin-right: 10px;
}

.switch span:not(.slider) {
  font-size: 12px;
  display: flex;
  align-items: center;     /* pour corriger les cas où le texte descend un peu */
  line-height: 1;          /* évite le texte qui flotte en bas */
}


.switch .label-text {
  position: absolute;
  left: 45px;
  top: 50%;
  transform: translateY(-50%);
  font-size: 12px;
  white-space: nowrap;
}
